﻿using System.Collections.Generic;
using System.Linq;
using InternshipSystem.Core.ValueObject;

namespace InternshipSystem.Core
{
    public class Internship
    {
        public long Id { get; set; }
        public Student Student { get; set; }
        public InternshipRegistration InternshipRegistration { get; set; }
        public InternshipProgram InternshipProgram { get; set; }
        public Report Report { get; set; }
        public List<Document> Approvals { get; set; }
        public List<Document> Documentation { get; set; }

        public void UpdateDocument(Document document)
        {
            var oldDocument = Documentation.First(d => d.Id == document.Id);

            oldDocument.Description = document.Description;
            oldDocument.Scan = document.Scan;
            oldDocument.Type = document.Type;
            oldDocument.State = DocumentState.Submitted;
        }

        public void AddNewDocument(Document document)
        {
            document.State = DocumentState.Submitted;
            
            Documentation.Add(document);
        }
    }
}